﻿using Infragistics.Win.UltraWinScrollBar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_CardView_HorizontalScrollbar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.DataSource = GetTable();
            this.ultraGrid1.DisplayLayout.Bands[0].CardView = true;

            this.ultraGrid1.DisplayLayout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ResizeAllColumns;

            this.ultraGrid1.DisplayLayout.ScrollBarLook.AppearanceHorizontal.ThemedElementAlpha = Infragistics.Win.Alpha.Transparent;
            this.ultraGrid1.DisplayLayout.ScrollBarLook.AppearanceHorizontal.BackColor = Color.Transparent;
            this.ultraGrid1.DisplayLayout.ScrollBarLook.ScrollBarArrowStyle = ScrollBarArrowStyle.None;
        }
        private DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

           
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);

            return table;
        }
    }
}
